{% extends 'baseteoria.html' %}

{% load static %}

{% block styles %}
<link rel="stylesheet" href="{% static 'css/modulos.css' %}" type="text/css" media="all">
<link rel="stylesheet" href="{% static 'css/highlight/dark.css' %}" type="text/css" media="all">
{% endblock styles %}


{% block content %}
<br><br>
<section id="section">
    <div class="row mx-auto explain">
        <h1 style="font-size: 50px;">Entrada y salida de datos</h1>
        <div class="col-lg-12 modulo-explain1">
            <h4>¿Qué es?</h4>
            <p>
                Como ya se observo la forma de realizar la entrada interactiva de datos por medio de la función 
                input y de imprimir resultados por medio de la función disp. Ahora se trabajarán otras formas de 
                intercambiar datos con otras aplicaciones.  
            </p>
        </div>
    </div>
    <div class="row mx-auto explain">
        <div class="col-lg-6 mr-auto  modulo-explain2 column-6">
            <h3>Sintaxis</h3>
            <p>
                Existen diversas formas de pasar datos de otras aplicaciones hacia Matlab – un ejemplo de esto es Excel a Matlab. Se tienen las siguientes formas: <br><br>
•	Se puede utilizar el copy y paste para copiar datos de la aplicación original y luego depositarlos entre los corchetes de una matriz o un vector, se debe tener en cuenta que existe un inconveniente, ya que estos datos no se pueden editar. <br>
•	Se puede crear un fichero *.m con un editor de texto, con lo cual se eliminaría el problema de edición. <br>
•	Es posible leer un flat file escrito con caracteres ASCII. Un flat file es un fichero con filas de longitud constate la cual se encuentra separada por intro, y varios datos de por fila separados por blancos. Este tipo de ficheros pueden ser leídos por Matlab siempre y cuando se utilice el comando load. Ejecutando el comando load datos.txt el contenido del flat file se deposita en una matriz con el nombre datos. 

            </p>
        </div>
        <div class="col-lg-6 ml-auto modulo-explainim column-6">
            <img src="{% static 'im/esdatos.png' %}" class="w-100" alt="Entrada y salida de datos">
        </div>
    </div>
    <div class="row mx-auto explain">
        <div class="col-lg-12 modulo-explain">
            <h3>Ejemplos</h3>
            <p>
                En la sección de ejemplos se pretende poner en práctica el concepto que fue explicado anteriormente 
                con el fin de interiorizar el tema, verlo en ejecución, ver cómo se utiliza y para qué, ya que de 
                esta manera es que se logra un aprendizaje significativo. En los ejemplos se encontraran ejercicios 
                que pretenden dar solución a ciertos problemas planteados, esto con el fin de llevar la explicación 
                más a la vida real y de qué mejor manera que poniendo porblemas que se presentan en la vida cotidiana
                y resolviéndolos con este lenguaje de programación.
            </p>
            <div class="text-md-center">
                <a href="#" id="openmodul" class="btn btn-open mx-auto my-md-5">Abrir ejemplos</a>
            </div>
        </div>
    </div>
</section>
<div class="row mx-auto">
    <aside class="col-lg-12 col-md-12 col-12 text-md-center my-md-5 desactivate" id="slider">
        <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
            <div class="carousel-inner">
                <div class="carousel-item active">
                    <div class="card" style="width: 25%;">
                        <div class="content" style="width: 200px; margin-left: 48px;">
                            <img src="{% static 'im/imagen_prueba.png' %}" class="w-100" alt="Workspace">
                        </div>
                        <div class="card-body text-center">
                            <h3 class="card-title">Ejemplo #1</h3>
                            <br><br>
                            <a href="{% url 'workspace_app:ejemplo1' %}" class="btn btn-open2">Empezar ejemplo</a>
                        </div>
                    </div>
                    <div class="card" style="width: 25%;">
                        <div class="content" style="width: 200px; margin-left: 48px;">
                            <img src="{% static 'im/imagen_prueba.png' %}" class="w-100"alt="">
                        </div>
                        <div class="card-body text-center">
                            <h3 class="card-title">Ejemplo #2</h3>
                            <br><br>
                            <a href="{% url 'workspace_app:ejemplo2' %}" class="btn btn-open2">Empezar ejemplo</a>
                        </div>
                    </div>
                    <div class="card" style="width: 25%;">
                        <div class="content" style="width: 200px; margin-left: 48px;">
                            <img src="{% static 'im/imagen_prueba.png' %}" class="w-100" alt="">
                        </div>
                        <div class="card-body text-center">
                            <h3 class="card-title">Ejemplo #3</h3>
                            <br><br>
                            <a href="{% url 'workspace_app:ejemplo3' %}" class="btn btn-open2">Empezar ejemplo</a>
                        </div>
                    </div>
                </div>
                <div class="carousel-item">
                    <div class="card" style="width: 25%;">
                        <div class="content" style="width: 200px; margin-left: 48px;">
                            <img src="{% static 'im/imagen_prueba.png' %}" class="w-100" alt="">
                        </div>
                        <div class="card-body text-center">
                            <h3 class="card-title">Ejemplo #4</h3>
                            <br><br>
                            <a href="{% url 'workspace_app:ejemplo4' %}" class="btn btn-open2">Empezar ejemplo</a>
                        </div>
                    </div>
                    <div class="card" style="width: 25%;">
                        <div class="content" style="width: 200px; margin-left: 48px;">
                            <img src="{% static 'im/imagen_prueba.png' %}" class="w-100" alt="">
                        </div>
                        <div class="card-body text-center">
                            <h3 class="card-title">Ejemplo #5</h3>
                            <br><br>
                            <a href="{% url 'workspace_app:ejemplo5' %}" class="btn btn-open2">Empezar ejemplo</a>
                        </div>
                    </div>
                    <div class="card" style="width: 25%;">
                        <div class="content" style="width: 200px; margin-left: 48px;">
                            <img src="{% static 'im/imagen_prueba.png' %}" class="w-100" alt="">
                        </div>
                        <div class="card-body text-center">
                            <h3 class="card-title">Ejemplo #6</h3>
                            <br><br>
                            <p class="card-text">
                            <a href="{% url 'workspace_app:ejemplo6' %}" class="btn btn-open2">Empezar ejemplo</a>
                        </div>
                    </div>
                </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>
    </aside>
</div>
{% endblock content %}  

{% block scripts %}
{% endblock scripts %}